Read a member by Microsoft user id
curl --request GET \
--url https://api.absentify.com/api/v1/members/microsoft/{microsoft_user_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.absentify.com/api/v1/members/microsoft/{microsoft_user_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.absentify.com/api/v1/members/microsoft/{microsoft_user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"custom_id": "<string>",
"name": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"allowances": [
{
"remaining": 123,
"brought_forward": 123,
"allowance": 123,
"taken": 123,
"year": 123,
"compensatory_time_off": 123,
"updatedAt": "<string>",
"createdAt": "<string>",
"id": "<string>",
"allowance_type": {
"id": "<string>",
"name": "<string>",
"default_name": "<string>",
"ignore_allowance_limit": true
}
}
],
"allowance_type_configurations": [
{
"id": "<string>",
"allowance_type_id": "<string>",
"default": true,
"disabled": true
}
],
"allowance_type_configurtaions": [
{
"id": "<string>",
"allowance_type_id": "<string>",
"default": true,
"disabled": true
}
],
"approval_process": "Linear_all_have_to_agree",
"status": "INACTIVE",
"birthday": "<string>",
"employment_start_date": "<string>",
"employment_end_date": "<string>",
"email": "<string>",
"departments": [
{
"id": "<string>",
"name": "<string>",
"manager_type": "Member",
"is_hidden": true
}
],
"is_admin": true,
"has_approvers": [
{
"member": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
}
],
"approver_config": {
"type": "custom",
"department_id": "<string>",
"microsoft_sync_level": 123
},
"schedules": [
{
"id": "<string>",
"from": "<string>",
"monday_am_start": "<string>",
"monday_am_end": "<string>",
"monday_pm_start": "<string>",
"monday_pm_end": "<string>",
"monday_am_enabled": true,
"monday_pm_enabled": true,
"monday_deduct_fullday": true,
"tuesday_am_start": "<string>",
"tuesday_am_end": "<string>",
"tuesday_pm_start": "<string>",
"tuesday_pm_end": "<string>",
"tuesday_am_enabled": true,
"tuesday_pm_enabled": true,
"tuesday_deduct_fullday": true,
"wednesday_am_start": "<string>",
"wednesday_am_end": "<string>",
"wednesday_pm_start": "<string>",
"wednesday_pm_end": "<string>",
"wednesday_am_enabled": true,
"wednesday_pm_enabled": true,
"wednesday_deduct_fullday": true,
"thursday_am_start": "<string>",
"thursday_am_end": "<string>",
"thursday_pm_start": "<string>",
"thursday_pm_end": "<string>",
"thursday_am_enabled": true,
"thursday_pm_enabled": true,
"thursday_deduct_fullday": true,
"friday_am_start": "<string>",
"friday_am_end": "<string>",
"friday_pm_start": "<string>",
"friday_pm_end": "<string>",
"friday_am_enabled": true,
"friday_pm_enabled": true,
"friday_deduct_fullday": true,
"saturday_am_start": "<string>",
"saturday_am_end": "<string>",
"saturday_pm_start": "<string>",
"saturday_pm_end": "<string>",
"saturday_am_enabled": true,
"saturday_pm_enabled": true,
"saturday_deduct_fullday": true,
"sunday_am_start": "<string>",
"sunday_am_end": "<string>",
"sunday_pm_start": "<string>",
"sunday_pm_end": "<string>",
"sunday_am_enabled": true,
"sunday_pm_enabled": true,
"sunday_deduct_fullday": true,
"updatedAt": "<string>",
"createdAt": "<string>"
}
]
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Members
Read a member by Microsoft user id
Read a member Microsoft user id
GET
/
members
/
microsoft
/
{microsoft_user_id}
Read a member by Microsoft user id
Authorizations
Path Parameters
Query Parameters
Available options:
en, de, fr, hu, it, pl, pt, ru, es, tr, uk Response
object | null
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
DEPRECATED: Use allowance_type_configurations instead
Show child attributes
Show child attributes
Available options:
Linear_all_have_to_agree, Linear_one_has_to_agree, Parallel_all_have_to_agree, Parallel_one_has_to_agree Available options:
INACTIVE, ACTIVE, ARCHIVED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Ordered by from, newest first. Rows with the same from are ordered by id.
Show child attributes
Show child attributes
Was this page helpful?